# W tej wersji:
# - usuwam wcięcia i puste linie
with open('pan_tadeusz.txt', mode='r', encoding='utf-8') as wejscie,\
     open('ponumerowany.txt', mode='w', encoding='utf-8') as wyjscie:
    nr = 0
    for linia in wejscie:
        linia = linia.strip()
        if linia: # jeśli po usunięciu wcięcia i znaku końća linii napis jest pusty
            nr += 1
            print(f'{nr:6}: {linia}', file=wyjscie)

print('Liczba niepustych linii:', nr)
